import pyspark
from tealeaf.connector import TealeafConnector
from pipelib.utils import load_dataframe, write_dataframe

sc = pyspark.SparkContext()
sqlCtx = pyspark.SQLContext(sc)

tealeafConnector = TealeafConnector()

sessions_df = load_dataframe('../../example_data/raw/sessions*', sqlCtx, delimiter=',')
events_df = load_dataframe('../../example_data/raw/events*', sqlCtx, delimiter=',')
dimensions_df = load_dataframe('../../example_data/raw/report_groups*', sqlCtx, delimiter=',')

merged_data = tealeafConnector.merge(sessions_df=sessions_df, events_df=events_df, dimensions_df=dimensions_df)
merged_data = merged_data.coalesce(1)

write_dataframe(merged_data, '../../example_data/merged')
